شما می توانید با استفاده از کد تخفیف firstup از 40 درصد تخفیف در اولین خرید خود استفاده کنید

پرداخت‌های حساب کاربری

GET https://uptimeiran.com/api/payments/
curl --request GET \
--url 'https://uptimeiran.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
پارامترها جزئیات توضیحات
page اختیاری عدد صحیح (Integer) شماره صفحه‌ای که می‌خواهید نتایج را از آن دریافت کنید. پیش‌فرض 1 است.
results_per_page اختیاری عدد صحیح (Integer) تعداد نتایجی که در هر صفحه می‌خواهید. مقادیر مجاز: 10 , 25 , 50 , 100 , 250 , 500 , 1000. پیش‌فرض 25 است.
{ "data": [ { "id": 1, "plan_id": 1, "processor": "stripe", "type": "one_time", "frequency": "monthly", "email": "example@example.com", "name": null, "total_amount": "4.99", "currency": "USD", "status": true, "datetime": 2026-03-02 10:22:38 }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://uptimeiran.com/api/payments?&page=1", "last": "https://uptimeiran.com/api/payments?&page=1", "next": null, "prev": null, "self": "https://uptimeiran.com/api/payments?&page=1" } }
GET https://uptimeiran.com/api/payments/{payment_id}
curl --request GET \
--url 'https://uptimeiran.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "plan_id": 1, "processor": "stripe", "type": "one_time", "frequency": "monthly", "email": "example@example.com", "name": null, "total_amount": "4.99", "currency": "USD", "status": true, "datetime": 2026-03-02 10:22:38 } }